Summary: Olsak's Font System -- better management of fonts for TeX
Name: tetex-ofs
Version: 2001115
Release: 0
License: TeX-like
Group: Applications/Publishing
Source: ftp://math.feld.cvut.cz/pub/olsak/ofs.tar.gz
Url: http://www.cstug.cz/stormtype
Packager: Matej Cepl <ceplma00@yahoo.com>
BuildArch: noarch
Requires: tetex, tetex-latex, tetex-fonts
Buildroot: /var/tmp/%{name}-root

%description
OFS is a macro, which allows lucid selection of fonts in TeX by
using their full names from font catalogue. The macro is the same
from the user's point of view in LaTeX as in plain.

Install tetex-ofs if you need to manage bigger amount of fonts,
or if you are merely sick of murky names used in plain and NFSS.
%prep
%setup -q -n ofs

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/fontinst/ofs
install -g root -o root -m oga+r,u+w allfonts.tex \
	$RPM_BUILD_ROOT/usr/share/texmf/tex/fontinst/ofs/
install -g root -o root -m oga+r,u+w \
	ofs.tex ofsdef.tex a35.tex ofs-8t.tex ofs-8z.tex \
	$RPM_BUILD_ROOT/usr/share/texmf/tex/fontinst/ofs/
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/ofs
install -g root -o root -m oga+r,u+w allfonts.sty a35.sty ofs.sty \
	$RPM_BUILD_ROOT/usr/share/texmf/tex/latex/ofs/
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/doc/fonts/ofs
install -g root -o root -m oga+r,u+w ofsdoc.* changes.txt readme.ofs \
	$RPM_BUILD_ROOT/usr/share/texmf/doc/fonts/ofs

%post
texhash

%postun
texhash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /usr/share/texmf/tex/fontinst/ofs/allfonts.tex
%config /usr/share/texmf/tex/latex/ofs/allfonts.sty
/usr/share/texmf/tex/fontinst/ofs/ofs*
/usr/share/texmf/tex/fontinst/ofs/a35.tex
/usr/share/texmf/tex/latex/ofs/a35.sty
/usr/share/texmf/tex/latex/ofs/ofs*
/usr/share/texmf/doc/*

%changelog
* Tue Jan 08 2002 Matej Cepl <ceplma00@yahoo.com> 
- initial testing version
